Subject: bug#62160: Guix reference manual link from guix.gnu.org?

From: [email-masked]
Date: Tue, 14 Mar 2023 18:35:36 +0100

On +2023-03-14 12:29:11 +0100, Simon Tournier wrote:
> Hi Simon,
> 
> On Mon, 13 Mar 2023 at 13:11, Simon Josefsson via Bug reports for GNU Guix <[email-masked]> wrote:
> 
> > I often go to guix.gnu.org to read the (excellent!) Guix manual.  This
> > leads to this click pattern: guix.gnu.org -> Help -> GNU Guix Manual
> > 1.4.0 which leads me to a page (written in english) to chose language
> > of the manual -- https://guix.gnu.org/en/manual/ -- and when I chose
> > English I get a page to chose format of manual --
> > https://guix.gnu.org/en/manual/en/ -- and that choice takes a split
> > second cognitive load.
> 
> Well, personally I never read en/manual/ but always en/manual/devel/. :-)
> 
> And I have a short-cut (or bookmark) for opening
> <https://guix.gnu.org/en/manual/devel/en/guix.html>.
>
[...]

> Well, I do not have an opinion since I barely read released manual but
> only the more accurate devel manual.
> 
> However, my preference is about ’entirely on one page’ an not ’with a
> separate page per node’ because ’entirely on one page’ eases Control-f
> for searching. :-)
> 

I like that too :)

To work off-line, I like to do save-as to some-name.html
with which firefox creates a directory "some-name_files"
for images and css style stuff etc.

BUT: A nit: 

In firefox-esr, if you do "save-as ...", it will prompt with a file name
seemingly pretty directly copying the URL characters, in this case
"GNU Guix Reference Manual.html" -- which has spaces in it.

So my nuisance work flow is:
   - copy url from browser line into clipboard,
   - switch to a terminal,
   - touch $(sanitize-clipboard-url), ;; hack also puts clean name-string back in clipboard
   - switch to browser
   - delete undesired file name string from prompt by pasting in the clean name string
   - click save-as

I would really like Mozilla to solve this with configurable sanitization options
for the file name. Especially if I am looking at a page with an URL that has
weird non-ascii/utf-8 characters besides spaces.

But until Mozilla offers that, could GNU web pages have some kind of alias link on them
with a sanitized name to do save-link-as (not plain save-as) with,
so as to get a clean name?

[...]
> 
> Well, in addition, I would like to have a page proposition the manual
> for all the languages, as we have now.  For example, these two webpages:
> 
> https://guix.gnu.org/en/manual/devel/
> https://guix.gnu.org/fr/manual/devel/
>
+1 :)
--
Regards,
Bengt Richter